Subject: bug#42371: Grafts max out build slots without being queued

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 16 Jul 2020 22:38:12 -0400

Hey Simon,

zimoun <[email-masked]> writes:

> Dear Maxim,
>
>
> On Wed, 15 Jul 2020 at 12:13, Maxim Cournoyer <[email-masked]> wrote:
>
>> ./pre-inst-env guix build --quiet --keep-going --check
>> [email-masked] gnome-shell-extension-gsconnect@33
>> [email-masked] arc-theme@20190917 [email-masked]
>> [email-masked] [email-masked] [email-masked]
>> [email-masked] [email-masked] [email-masked]
>> [email-masked] [email-masked] [email-masked] [email-masked]
>> [email-masked] [email-masked]
>> [email-masked] [email-masked]
>> [email-masked] [email-masked] --max-jobs=1
>
> Instead, I have run:
>
> guix build --keep-going --check ruby_version
> gnome-shell-extension-gsconnect numix-gtk-theme arc-theme gnome
> ruby-fakefs git-minimal ruby-fast-gettext ruby-sass-rails mailcatcher
> ruby-rspec-its warzone2100 keepassxc wsjtx js8call ruby-web-console
> hello ruby-autoprefixer-rails ruby-jekyll-paginate-v2 ruby-solargraph
> --max-jobs=1
>
> replacing the 2 unknown packages ruby-yard-with-tests and ruby-protobuf
> by git-minimal and hello.

Thank you for your tests!  This makes me wonder whether these are the
ones causing the problem...  I've uploaded the branch I'm working on so
that you could try to reproduce [0] if you are so inclined :-).

> [...] I have 10 guixbuilder users, as it is by default. :-)

Same here.

[...]

>> guix build: error: all build users are currently in use; consider
>> creating additional users and adding them to the `guixbuild' group
>
> How many users do you have?  What are they doing?

10 users, not doing anything special, as I found out looking at guix
processes, so I don't know what is causing the exhaustion of build
users.

Thanks,

Maxim

[0]  https://gitlab.com/Apteryks/guix/-/tree/add-ruby-asciidoctor-pdf